Subject: Re:formn I-824

From: SHI-ZHANG SHANG <[email-masked]>
Date: Wed, 16 Mar 94 11:29:11 CST

Dear friend,
    I read your letter. In my opinion and understanding, the answers for your
questions and reference are: (No. is the No. of your questions)
    1) I do not know when will the Consulate contact with your son and issue
a visa to him. I think that it just needs for some weeks after the Consulate
approves your application and that the key thing for the approval is your
son's age under 21 years old. If under 21, he will get his visa within about
6 to 12 months because he can use your original priority date (July 1, 1993).
 If above 21, he will be not approved by the Consulate and you need to wait
for visa under I-130 application.
    2) You have different 2 priority dates for I-824 and I-130, of course. I
think the another priority date for I-130 means that you maybe need to wait
for Family-B visa for about more 4 years.
    3) I think your very inportant documents are your son's date of birth (e.
g. age) and your relationship between you and your son.